| Flutter Impeller |

Public Member Functions | List of all members
impeller::GlyphAtlasContextSkia Class Reference

A container for caching a glyph atlas across frames. More...

`#include <glyph_atlas_context_skia.h>`

Inheritance diagram for impeller::GlyphAtlasContextSkia:

## Public Member Functions
| GlyphAtlasContextSkia ()
| ~GlyphAtlasContextSkia () override
std::shared_ptr< SkBitmap > | GetBitmap () const
| Retrieve the previous (if any) SkBitmap instance. More...
void | UpdateBitmap (std::shared_ptr< SkBitmap > bitmap)
Public Member Functions inherited from impeller::GlyphAtlasContext
virtual | ~GlyphAtlasContext ()
std::shared_ptr< GlyphAtlas > | GetGlyphAtlas () const
| Retrieve the current glyph atlas. More...
const ISize & | GetAtlasSize () const
| Retrieve the size of the current glyph atlas. More...
std::shared_ptr< RectanglePacker > | GetRectPacker () const
| Retrieve the previous (if any) rect packer. More...
void | UpdateGlyphAtlas (std::shared_ptr< GlyphAtlas > atlas, ISize size)
| Update the context with a newly constructed glyph atlas. More...
void | UpdateRectPacker (std::shared_ptr< RectanglePacker > rect_packer)

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< GlyphAtlasContextSkia, GlyphAtlasContext >
static GlyphAtlasContextSkia & | Cast (GlyphAtlasContext &base)
static const GlyphAtlasContextSkia & | Cast (const GlyphAtlasContext &base)
static GlyphAtlasContextSkia * | Cast (GlyphAtlasContext *base)
static const GlyphAtlasContextSkia * | Cast (const GlyphAtlasContext *base)
Protected Member Functions inherited from impeller::GlyphAtlasContext
| GlyphAtlasContext ()

## Detailed Description

A container for caching a glyph atlas across frames.

Definition at line 18 of file glyph_atlas_context_skia.h.

## Constructor & Destructor Documentation

## ◆ GlyphAtlasContextSkia()

impeller::GlyphAtlasContextSkia::GlyphAtlasContextSkia | ( |  | ) |
| default

## ◆ ~GlyphAtlasContextSkia()

impeller::GlyphAtlasContextSkia::~GlyphAtlasContextSkia | ( |  | ) |
| override default

## Member Function Documentation

## ◆ GetBitmap()

std::shared_ptr< SkBitmap > impeller::GlyphAtlasContextSkia::GetBitmap | ( |  | ) | const

Retrieve the previous (if any) SkBitmap instance.

Definition at line 15 of file glyph_atlas_context_skia.cc.

15 {
16 return bitmap_;
17 }

## ◆ UpdateBitmap()

void impeller::GlyphAtlasContextSkia::UpdateBitmap | ( | std::shared_ptr< SkBitmap > | bitmap | ) |

Definition at line 19 of file glyph_atlas_context_skia.cc.

19 {
20 bitmap_ = std::move(bitmap);
21 }

The documentation for this class was generated from the following files:

- impeller/typographer/backends/skia/glyph_atlas_context_skia.h
- impeller/typographer/backends/skia/glyph_atlas_context_skia.cc